Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Class Language

    java.lang.Object
      net.sourceforge.pmd.Language

    public final class Language

extends java.lang.Object

Enumeration of languages for which a rule can be written.

This has no 1-on-1 mapping to the SourceType enumeration, because rules will often apply to all versions of a programming language, and SourceType is version-specific.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Field Summary
`static Language` | `JAVA`
`static Language` | `JSP`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static Language` | `getByName(java.lang.String name)` Get the RuleLanguage that corresponds to the given name.
`java.lang.String` | `getName()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### JAVA

    public static final Language JAVA

### JSP

    public static final Language JSP

Method Detail

### getByName

    public static Language getByName(java.lang.String name)

  Get the RuleLanguage that corresponds to the given name.

  Parameters:
    `name` - the common name of the rule language; this must correspond to one of the name constants.
  Returns:
    the corresponding RuleLanuage; or null if the name is not recognized

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.